%define major 1.0
%define libname %mklibname mygpo-qt %{major}
%define devname %mklibname mygpo-qt -d

Summary:	Qt Library that wraps the gpodder.net Web API
Name:		libmygpo-qt
Version:	1.0.8
Release:	3
License:	LGPLv3+
Group:		System/Libraries
Url:		http://wiki.gpodder.org/wiki/Libmygpo-qt
Source0:	http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(QJson)

%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API.

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading
   subscription Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates
   for a given Device" instead)

#---------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API.

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading
   subscription Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates
   for a given Device" instead)

%files -n %{libname}
%{_libdir}/libmygpo-qt.so.%{major}*
%{_libdir}/libmygpo-qt.so.1

#---------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}mygpo-qt-devel < 1.0.8-3
Obsoletes:	%{_lib}mygpo-qt-devel < 1.0.8-3

%description -n %{devname}
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API.

This package contains files need to build applications using libmygpo-qt.

%files -n %{devname}
%{_libdir}/libmygpo-qt.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/mygpo-qt
%{_libdir}/cmake/mygpo-qt

#---------------------------------------------------------------------

%prep
%setup -qn %{name}.%{version}
%apply_patches

%build
%cmake -DMYGPO_BUILD_TESTS=OFF
%make

%install
%makeinstall_std -C build

%changelog
* Fri Dec 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.8-3
+ Revision: 6f4d815
- Properly name devel package


